@use './styles/form-category-filter.variations' as variations;
@use './styles/form-category-filter.variables' as *;

:host {
	@include digi-form-category-filter--variables;
	$base: '.digi-form-category-filter';

	.digi-form-category-filter {
		display: flex;
		flex-wrap: wrap;
		gap: var(--digi--form-category-filter--gap);
		&--category {
			--digi--button--icon--spacing: 0px;
			&--not-selected {
				--digi--button--color--background--primary--default:  var(--digi--color--background--secondary);
				--digi--button--color--text--primary--default: var(--digi--color--text--secondary);
				--digi--button--color--border--primary--default: var(--digi--color--background--secondary);
			}
			&--thin-text {
				font-weight: 400;
			}
		}
	}
}
